Bug 862235 - kickstart snippets added/changed on disk do not always take effect
kickstart snippets added/changed on disk do not always take effect
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
medium Severity unspecified (vote)
: 0.10.0
: ---
Assigned To: Dan Callaghan
Amit Saha
Kickstart
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 07:51 EDT by Raymond Mancy
Modified: 2014-12-07 20:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 01:42:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-10-02 07:51:16 EDT
Description of problem:

Adding a custom sinppet will not take affect 

Version-Release number of selected component (if applicable):


How reproducible:
always (for a provisioned job)

Steps to Reproduce:
1. Add snippet that overrides installed snippet
2. add job to scheduler that uses snippet
3.
  
Actual results:

new snippet is not used

Expected results:

I guess we're expecting it to be. 

Additional info:

We could add cache=None to the the SandboxedEnvironment constructor.

I think jinja should be able to do this unless there is a good reason not to, I think the current behvaiour is unexpected.
Comment 1 Raymond Mancy 2012-10-02 16:38:38 EDT
by cache=None, I of course mean 'cache_size=0'.To be clear, the snippet will take affect if the process (beakerd in this case) is restarted.
Comment 2 Raymond Mancy 2012-10-09 01:00:16 EDT
I've also filed an upstream bug for this.
Comment 3 Raymond Mancy 2012-10-09 01:04:35 EDT
https://github.com/mitsuhiko/jinja2/issues/153
Comment 4 Dan Callaghan 2012-10-31 21:37:09 EDT
On Gerrit: http://gerrit.beaker-project.org/1458
Comment 5 Amit Saha 2012-11-12 20:03:25 EST
Verified by creating /etc/beaker/snippets/network with the following contents:

#dummy network configuration

This line is included in the generated kickstart file, instead of the usually found:

# no specific network configuration
Comment 6 Raymond Mancy 2012-11-22 01:42:41 EST
This has now been released

Note You need to log in before you can comment on or make changes to this bug.